summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristopher Luna2015-08-01 23:37:39 -0500
committerChristopher Luna2015-08-01 23:37:39 -0500
commit3f0ec1a3f64927e19d033fe04d3fd7cbb0fb4d85 (patch)
tree4975adb488e4ec7b42e1e4cd809e4021756e987c
downloadaur-3f0ec1a3f64927e19d033fe04d3fd7cbb0fb4d85.tar.gz
First commit
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD43
2 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..dcc2d7d6ee6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = shantz-xwinwrap-bzr
+ pkgdesc = Utility to play Movies on your Desktop Or ElectricSheep
+ pkgver = 20090421
+ pkgrel = 3
+ url = http://tech.shantanugoel.com/projects/linux/shantz-xwinwrap
+ arch = i686
+ arch = x86_64
+ license = Other/Open
+ license = Source
+ makedepends = bzr
+ makedepends = make
+ depends = libxext
+ depends = libxrender
+ provides = xwinwrap
+ conflicts = xwinwrap
+
+pkgname = shantz-xwinwrap-bzr
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..fbe314d1c95
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,43 @@
+# Maintainer : chrisl echo archlinux@c2h0r1i2s4t5o6p7h8e9r-l3u4n1a.com|sed 's/[0-9]//g'
+# Maintainer: Dany Martineau <dany.luc.martineau gmail.com>
+# Contributor: Stefan Clarke <fm0nk3y@yahoo.co.uk>
+
+pkgname=shantz-xwinwrap-bzr
+pkgver=20090421
+pkgrel=3
+pkgdesc="Utility to play Movies on your Desktop Or ElectricSheep"
+[ "$CARCH" = "i686" ] && ARCH=x86
+[ "$CARCH" = "x86_64" ] && ARCH=x86_64
+arch=(i686 x86_64)
+url="http://tech.shantanugoel.com/projects/linux/shantz-xwinwrap"
+license=(Other/Open Source)
+depends=(libxext libxrender)
+provides=('xwinwrap')
+conflicts=('xwinwrap')
+makedepends=('bzr' 'make')
+
+source=()
+md5sums=()
+
+_bzrroot="lp:xwinwrap"
+_bzrmod="xwinwrap"
+
+build() {
+ cd ${srcdir}
+ msg "Connecting to launchpad BZR server...."
+ bzr branch $_bzrroot
+ cd $_bzrmod
+ if [ "$CARCH" == "i686" ]; then
+ make all32 || return 1
+ else
+ make all64 || return 1
+ fi
+}
+package() {
+ cd $_bzrmod
+ if [ "$CARCH" == "i686" ]; then
+ install -D -m0755 ${srcdir}/xwinwrap/i386/xwinwrap ${pkgdir}/usr/bin/xwinwrap || return 1
+ else
+ install -D -m0755 ${srcdir}/xwinwrap/x86_64/xwinwrap ${pkgdir}/usr/bin/xwinwrap || return 1
+ fi
+}